%define		debug_package %{nil}

Name:		podsleuth
Version:	0.6.4
Release:	2%{?dist}
Summary:	Probes, identifies, and exposes properties and metadata bound to iPods
Group:		Applications/Multimedia
License:	MIT
URL:		http://banshee-project.org/PodSleuth
Source0:	http://banshee-project.org/files/%{name}/%{name}-%{version}.tar.bz2
Patch0:		podsleuth-0.6.4-sg3_utils.patch
Patch1:		podsleuth-0.6.2-libdir.patch
Patch2:		podsleuth-0.6.0-wapidir.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	mono-devel
BuildRequires:	hal-devel
BuildRequires:	ndesk-dbus-devel
BuildRequires:	sg3_utils-devel
Requires:	sg3_utils-libs

# JIT Not availible on these:
ExcludeArch: sparc64
# Disabled due to strange build failure:
ExcludeArch: s390 s390x

%description
PodSleuth is a tool to discover detailed model information about an
Apple (TM) iPod (TM). Its primary role is to be run as a callout by
HAL [1] because root access is needed to scan the device for required
information. When the model information is discovered, it is merged
into HAL as properties for other applications to use.


%package devel
Summary: .pc file for podsleuth
Group: Documentation
Requires:	%{name} = %{version}-%{release} 
Requires:	pkgconfig

%description devel
Development files for podsleuth.


%prep
%setup -q
%if 0%{?fedora} >= 10
%patch0 -p1 -b .sg3_utils
%endif
%patch1 -p1 -b .libdir
%patch2 -p1 -b .wapidir

%build
%configure --with-hal-callouts-dir=%{_libexecdir}

# Breaks when smp flag is set
make


%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files 
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/podsleuth
%{_libdir}/podsleuth/
%{_libexecdir}/hal-podsleuth
%{_datadir}/hal/fdi/policy/20thirdparty/20-podsleuth.fdi

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/podsleuth.pc

%changelog
* Mon Oct 26 2009 Dennis Gilmore <dennis@ausil.us> - 0.6.4-2
- ExcludeArch sparc64

* Wed Aug 26 2009 Christian Krause <chkr@fedoraproject.org> - 0.6.4-1
- update to 0.6.4 (BZ 501404)
- remove upstreamed patch
- update sgutils patch

* Thu Aug 20 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.6.3-4
- Rebuild for ppc64

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 01 2009 Xavier Lamien <laxathom@fedoraproject.org> - 0.6.3-3
- Build arch ppc64.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Nov 10 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.6.3-1
- update to 0.6.3
- apply patch from upstream to update model info, fix artwork bug

* Wed Sep  3 2008 Michel Salim <salimma@fedoraproject.org> - 0.6.2-3
- Manually requires sg3_utils-libs

* Mon Aug 25 2008 Michel Salim <salimma@fedoraproject.org> - 0.6.2-2
- Apply sg3_utils patch only on F10 and above

* Mon Aug 25 2008 Michel Salim <salimma@fedoraproject.org> - 0.6.2-1
- Update to 0.6.2

* Thu May 15 2008 Nigel Jones <dev@nigelj.com> - 0.6.0-6
- SELinux Policies included as of selinux-policy-3.3.1-51
- Update hal-podsleuth to not put .wapi in /root (bad bad thing)

* Sat May 5 2008 Nigel Jones <dev@nigelj.com> - 0.6.0-5
- Fix iPod detection w/ hal-info >= 20080313 (Closes: Bug #445611)
- Correct last changelog entry

* Mon Feb 18 2008 David Nielsen <david@lovesunix.net> - 0.6.0-4
- Spec fixes 
- Make exclusive arch at the request of callion

* Fri Feb 01 2008 David Nielsen <david@lovesunix.net> - 0.6.0-3
- More spec fixes

* Tue Jan 22 2008 David Nielsen <david@lovesunix.net> - 0.6.0-2
- Wolfy owes me karma points 

* Fri Jan 18 2008 David Nielsen <david@lovesunix.net> - 0.6.0-1
- Initial package
